
/* spaces.css */

/* ... Mostly vertical ...
-----------------------------------------------*/
[class^="ce_"]:not(.ce_headline, .ce_accordion),
.more {
  margin-bottom: var(--ce-space-bottom);
}
:is([class^="ce_"] + .more) {
  margin-top: calc(var(--ce-space-bottom) * -.5);
}
[class^="ce_"]:last-child {
  margin-bottom: 0;
}
header .inside [class^="ce_"] {
  margin-bottom: 0;
}
#topImage [class^="ce_"]:last-child {
  margin-bottom: 0;
}
figcaption {
  font-size: 0.9em;
  padding: .5em 0 .8em .0625em;
}
.toplink {
  margin-top: var(--content-space-y);
}
.more {
  margin-top: var(--content-space-y);
}
.float_left,
.float_right,
.float_above,
.float_below {
  margin: 0 0 1em;
}
.float_left0 {
  margin: .5em 1em .0625em 0;
  float: left;
}
.float_right0 {
  margin: .5em 0 .0625em 1em;
  float: right;
}
[class^="ce_"] > h2,
[class^="ce_"] > h3,
.block > h2,
.block  > h3 {
  margin-top: 0;
}
.ce_accordion + h2,
.ce_accordion + h3 {
  margin-top: var(--ce-space-bottom);
}

p:last-child,
ul:last-child {
  margin-bottom: 0;
}
.ce_download + .ce_download {
  margin-bottom: 1em;
}
form {
  margin-bottom: .5em;
}
/* ... Mostly vertical ... END
-----------------------------------------------*/



/* ... Vertical divider concept ...
-----------------------------------------------*/
main .inside {
	display: flex;
	flex-direction: column;
	height: 100%;
}
.inside > * {
	padding: var(--content-space-y) var(--content-space-x);
  color: var(--font-color-dark);
}
:is(#topImage, main) .inside > * {
	background-color: var(--bg-color-light);
}
footer .inside > * {
	background-color: var(--footer-bg-color);
  padding-top: var(--content-space-y-small);
  padding-bottom:var(--content-space-y-small);
}
footer .inside > *:first-child {
  padding-top: var(--content-space-y);
}
footer .inside > *:last-child {
  padding-bottom: var(--content-space-y);
}
:is(#topImage, main) .inside > * {
  margin-bottom: var(--divider-space);
}
#topImage .inside > * {
  padding: 0;
}
:is(#topImage, main, footer) .inside > :last-child {
	margin-bottom: 0;
}
main .inside > :last-child {
	flex-grow: 1;
	align-content: flex-start;
  padding-bottom: var(--ce-space-bottom);
}
/* ... Vertical divider concept ... END
-----------------------------------------------*/

